Bug 1612618 - Inkscape crashes when hitting ENTER on text input
Summary: Inkscape crashes when hitting ENTER on text input
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-06 01:10 UTC by Euan de Kock
Modified: 2019-01-21 02:02 UTC (History)
24 users (show)

Fixed In Version: inkscape-0.92.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1575842
Environment:
Last Closed: 2019-01-21 02:02:26 UTC


Attachments (Terms of Use)
Full backtrace (61.52 KB, text/plain)
2018-08-24 21:07 UTC, Gwyn Ciesla
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1768958 None None None 2018-08-24 20:18:27 UTC

Description Euan de Kock 2018-08-06 01:10:37 UTC
I have created a clone of the original bug - #1575842 as it is closed but the bug still persists.

Fedora Update System 2018-06-29 04:43:18 EDT
inkscape-0.92.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.
Status: ON_QA → CLOSED
Fixed In Version: inkscape-0.92.3-2.fc28
Resolution: --- → ERRATA
Last Closed: 2018-06-29 04:43:18
[reply] [−] Comment 21 Euan de Kock 2018-06-30 12:43:04 EDT
Thanks for working on this, I have now upgraded to the new RPM version.

inkscape-0.92.3-2.fc28.x86_64.rpm

However this is still causing errors with the text box. To recreate it follow the
steps below:

1: Open a new Inkscape Document.
2: Press F8 to select the text tool, and create a new text box
3: Fill the box with a single newline
4: Using the cursor keys press the UP arrow to navigate to the top row
5: Press the DOWN arrow to go back to the second line - Inkscape will crash.

The error reported now is:

/usr/include/c++/8/bits/stl_vector.h:950: std::vector<_Tp, _Alloc>::const_reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) const [with _Tp = Inkscape::Text::Layout::Character; _Alloc = std::allocator<Inkscape::Text::Layout::Character>; std::vector<_Tp, _Alloc>::const_reference = const Inkscape::Text::Layout::Character&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
[reply] [−] Comment 22 flaviusglamfenix@gmail.com 2018-07-01 12:36:53 EDT
Thanks for update. 

inkscape.x86_64 0.92.3-2.fc28

Pressing ENTER key is not cause a crash anymore, but there is related issue. 

Steps to reproduce:
1. Create Text;
2. Type some multiline text;
3. Try to highlight some text with mouse;

And here is error text.
/usr/include/c++/8/bits/stl_vector.h:950: std::vector<_Tp, _Alloc>::const_reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) const [with _Tp = Inkscape::Text::Layout::Character; _Alloc = std::allocator<Inkscape::Text::Layout::Character>; std::vector<_Tp, _Alloc>::const_reference = const Inkscape::Text::Layout::Character&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
[reply] [−] Comment 23 Fedora Update System 2018-07-06 11:44:39 EDT
inkscape-0.92.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Fixed In Version: inkscape-0.92.3-2.fc28 → inkscape-0.92.3-2.fc28 inkscape-0.92.3-2.fc27
[reply] [−] Comment 24 flaviusglamfenix@gmail.com 2018-07-06 17:32:16 EDT
Defect is reproducible with the same error if select one part of the text and then try to select another part. 

inkscape.x86_64  0.92.3-2.fc28

Comment 1 Gwyn Ciesla 2018-08-24 21:07:03 UTC
Created attachment 1478644 [details]
Full backtrace

Comment 2 Euan de Kock 2018-11-05 07:38:35 UTC
I can confirm that this error is still present in the Fedora 29 Release.

Name        : inkscape
Version     : 0.92.3
Release     : 5.fc29
Architecture: x86_64
Install Date: Mon 05 Nov 2018 15:24:33 AWST

Comment 3 Shadders 2018-11-22 21:19:24 UTC
Hi,
Yes - when i edit text, or highlight with the mouse, Inkscape crashes. 
Regards,
Shadders.

Comment 4 Fedora Update System 2019-01-11 19:08:30 UTC
inkscape-0.92.3-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f9bfd58d0

Comment 5 Fedora Update System 2019-01-12 02:31:04 UTC
inkscape-0.92.3-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f9bfd58d0

Comment 6 Fedora Update System 2019-01-15 08:16:23 UTC
inkscape-0.92.3-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5de93d92bd

Comment 7 Fedora Update System 2019-01-15 16:39:09 UTC
inkscape-0.92.3-11.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f17f2be2

Comment 8 Fedora Update System 2019-01-16 03:31:23 UTC
inkscape-0.92.3-11.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f17f2be2

Comment 9 Fedora Update System 2019-01-18 17:57:09 UTC
inkscape-0.92.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1dd63e1bd4

Comment 10 Fedora Update System 2019-01-19 04:28:47 UTC
inkscape-0.92.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1dd63e1bd4

Comment 11 Fedora Update System 2019-01-21 02:02:26 UTC
inkscape-0.92.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.